"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.resolveParameterKey = exports.resolveSecretKey = exports.resolveResourceName = void 0;
const resolveResourceName = (resourceName, qpqAwsLambdaConfig) => {
    return qpqAwsLambdaConfig.resourceNameMap[resourceName] || resourceName;
};
exports.resolveResourceName = resolveResourceName;
const resolveSecretKey = (secretName, qpqAwsLambdaConfig) => {
    return qpqAwsLambdaConfig.secretNameMap[secretName] || secretName;
};
exports.resolveSecretKey = resolveSecretKey;
const resolveParameterKey = (parameterName, qpqAwsLambdaConfig) => {
    return qpqAwsLambdaConfig.parameterNameMap[parameterName] || parameterName;
};
exports.resolveParameterKey = resolveParameterKey;
